* {
    margin: 0;
    padding: 0;
}

body {
    user-select: none;
    background-color: rgb(114, 40, 0);
    font-family: Arial, Helvetica, sans-serif;
    overflow: visible;
}

#Crafting-power {
    font-size: 25px;
    text-align: center;
    color: orange;
}

#Gain-Cp {
    font-size: 18px;
    text-align: center;
    color: orangered;
    border: 1px solid red;
    border-radius: 10px;
    margin-top: 15px;
    margin-inline: auto;
    width: 150px;
    height: 40px;
    padding-top: 10px;
    padding-bottom: 10px;
    background-color: black;
    cursor: pointer;
}

#Gain-Cp:hover {
    background-color: rgb(27, 27, 27);
}

.tabs {
    width: 100%;
    height: 60px;
    position: absolute;
    top: 0;
    left: 0;
    margin-top: 110px;
    display: flex;
    flex-wrap: wrap;
    row-gap: 10px;
    justify-content: center;
}

.Level {
    position: fixed;
    bottom: 40;
    left: 0;
    background-color: #04aed8;
    border: 2px solid blue;
    padding: 5px;
    margin: 5px;
}

.Progress-bar {
    position: fixed;
    bottom: 0;
    left: 0;
    margin: 5px;
    width: 98.5%;
    height: 30px;
    border-radius: 10px;
    background-color: rgb(56, 56, 56);
    display: flex;
    justify-content: center;
    align-items: center;
}

#Background-filling {
    width: 0%;
    height: 30px;
    border-radius: 10px;
    background-color: lime;
    position: absolute;
    left: 0;
    z-index: -1;
}

#Materials-tab {
    width: 150px;
    height: 30px;
    background-color: #787366;
    border: 1px solid white;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 10px;
    margin-right: 10px;
}

#Materials-tab:hover {
    background-color: rgb(71, 70, 70);
    cursor: pointer;
}

#Crafting-tab {
    width: 150px;
    height: 30px;
    background-color: rgb(224, 95, 3);
    border: 1px solid rgb(255, 0, 0);
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 10px;
    margin-right: 10px;
}

#Crafting-tab:hover {
    background-color: rgb(255, 117, 11);
    cursor: pointer;
}

#Experience-tab {
    width: 150px;
    height: 30px;
    background-color: rgb(8, 175, 8);
    border: 2px solid rgb(0, 72, 0);
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 10px;
    visibility: collapse;
    margin-right: 10px;
}

.show-Experience-tab {
    visibility: visible;
}

#Experience-tab:hover {
    background-color: rgb(0, 109, 0);
    cursor: pointer;
}

#Options-tab {
    width: 150px;
    height: 30px;
    background-color: rgb(77, 77, 77);
    border: 2px solid rgb(37, 37, 37);
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 10px;
    visibility: visible;
}

#Options-tab:hover {
    background-color: rgb(97, 96, 96);
    cursor: pointer;
}

.Materials-content {
    width: auto;
    height: 600px;
    margin-top: 90px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
}

.Materials-row2 {
    width: auto;
    height: 430px;
    margin-top: 20px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    gap: 10px;
    visibility: hidden;
}

.content {
    width: auto;
    height: auto;
    display: none;
}

.content.active {
    display: block;
}

.sub-content {
    width: auto;
    height: auto;
    display: none;
}

.sub-content.active {
    display: block;
}

#Stone-content {
    width: 200px;
    height: 175px;
    margin-left: 10px;
    background-color: grey;
    text-align: center;
}

#Stone {
    font-size: 15px;
}

#Gain-Stone {
    font-size: 13px;
}

#Stone-img {
    width: 90px;
    height: 60px;
    margin-inline: auto;
}

#Stone-img:hover {
    animation: Stone-animation;
    animation-duration: 0.2s;
    animation-fill-mode: forwards;
    cursor: pointer;
}

@keyframes Stone-animation {
    0% {
        scale: 1;
    }
    100% {
        scale: 1.2;
    }
}

#Stone-Upgrades {
    width: 200px;
    height: 70px;
    margin-top: 10px;
    display: flex;
    justify-content: space-evenly;
    flex-wrap: nowrap;
}

#Stone-up1 {
    width: 95px;
    height: auto;
    padding-top: 9px;
    font-size: 11px;
    text-align: center;
    background-color: rgb(44, 44, 44);
    border: 2px solid black;
    border-radius: 5px;
}

#Stone-up2 {
    width: 95px;
    height: auto;
    padding-top: 3px;
    font-size: 11px;
    text-align: center;
    background-color: rgb(44, 44, 44);
    border: 2px solid black;
    border-radius: 5px;
}

#Wood {
    font-size: 15px;
    color: rgb(191, 191, 191);
}

#Gain-Wood {
    font-size: 13px;
    color: rgb(191, 191, 191);
}

#Wood-content {
    width: 200px;
    height: 175px;
    background-color: rgb(53, 21, 0);
    text-align: center;
}

#Wood-img {
    width: 80px;
    height: 70px;
    margin-inline: auto;
}

#Wood-img:hover {
    animation: Wood-animation;
    animation-duration: 0.2s;
    animation-fill-mode: forwards;
    cursor: pointer;
}

@keyframes Wood-animation {
    0% {
        scale: 1;
    }
    100% {
        scale: 1.2;
    }
}

#Wood-Upgrades {
    display: flex;
    flex-wrap: nowrap;
    justify-content: space-evenly;
    height: 70px;
}

#Wood-up1 {
    width: 95px;
    height: auto;
    font-size: 11px;
    padding-top: 9px;
    text-align: center;
    background-color: rgb(44, 44, 44);
    border: 2px solid black;
    border-radius: 5px;
}

#Wood-up2 {
    width: 95px;
    height: auto;
    font-size: 11px;
    padding-top: 2px;
    text-align: center;
    background-color: rgb(44, 44, 44);
    border: 2px solid black;
    border-radius: 5px;
}

#Iron-content {
    width: 200px;
    height: 175px;
    background-color: rgb(241, 241, 241);
    text-align: center;
}

#Iron {
    font-size: 15px;
}

#Gain-Iron {
    font-size: 13px;
}

#Iron-Upgrades {
    display: flex;
    flex-wrap: nowrap;
    width: 200px;
    height: 70px;
    justify-content: space-evenly;
    margin-top: 10px;
}

#Iron-up1 {
    width: 95px;
    height: auto;
    font-size: 11px;
    padding-top: 9px;
    text-align: center;
    background-color: rgb(44, 44, 44);
    border: 2px solid black;
    border-radius: 5px;
}

#Iron-up2 {
    width: 95px;
    height: auto;
    font-size: 11px;
    padding-top: 2px;
    text-align: center;
    background-color: rgb(44, 44, 44);
    border: 2px solid black;
    border-radius: 5px;
}

#Ironore-img {
    width: 70px;
    height: 50px;
    margin-top: 10px;
}

#Ironore-img:hover {
    animation: Iron-animation;
    animation-duration: 0.2s;
    animation-fill-mode: forwards;
    cursor: pointer;
}

@keyframes Iron-animation {
    0% {
        scale: 1;
    }
    100% {
        scale: 1.2;
    }
}

#Gold-content {
    width: 200px;
    height: 175px;
    background-color: rgb(182, 182, 11);
    text-align: center;
}

#Gold {
    font-size: 15px;
}

#Gain-Gold {
    font-size: 13px;
}

#Gold-Upgrades {
    display: flex;
    height: 70px;
    margin-top: 10px;
    justify-content: space-evenly;
}

#Gold-up1 {
    width: 95px;
    height: auto;
    font-size: 11px;
    padding-top: 9px;
    text-align: center;
    background-color: rgb(44, 44, 44);
    border: 2px solid black;
    border-radius: 5px;
}

#Gold-up2 {
    width: 95px;
    height: auto;
    font-size: 11px;
    padding-top: 2px;
    text-align: center;
    background-color: rgb(44, 44, 44);
    border: 2px solid black;
    border-radius: 5px;
}

#Goldore-img {
    width: 70px;
    height: 50px;
    margin-top: 10px;
}

#Goldore-img:hover {
    animation: Gold-animation;
    animation-duration: 0.2s;
    animation-fill-mode: forwards;
    cursor: pointer;
}

@keyframes Gold-animation {
    0% {
        scale: 1;
    }
    100% {
        scale: 1.2;
    }
}

#Diamond-content {
    width: 200px;
    height: 175px;
    background-color: aqua;
    text-align: center;
}

#Diamond {
    font-size: 15px;
}

#Gain-Diamond {
    font-size: 13px;
}

#Diamond-Upgrades {
    display: flex;
    height: 70px;
    justify-content: space-evenly;
    margin-top: -17px;
}

#Diamond-up1 {
    width: 95px;
    height: auto;
    font-size: 11px;
    padding-top: 9px;
    text-align: center;
    background-color: rgb(44, 44, 44);
    border: 2px solid black;
    border-radius: 5px;
}

#Diamond-up2 {
    width: 95px;
    height: auto;
    font-size: 11px;
    padding-top: 2px;
    text-align: center;
    background-color: rgb(44, 44, 44);
    border: 2px solid black;
    border-radius: 5px;
}

#Diamond-img {
    width: 110px;
    height: 90px;
    margin-top: -3px;
    margin-inline: auto;
}

#Diamond-img:hover {
    animation: Diamond-animation;
    animation-duration: 0.2s;
    animation-fill-mode: forwards;
    cursor: pointer;
}

@keyframes Diamond-animation {
    0% {
        scale: 1;
    }
    100% {
        scale: 1.2;
    }
}

#Ruby-content {
    width: 200px;
    height: 175px;
    background-color: rgb(181, 0, 0);
    text-align: center;    
}

#Ruby {
    font-size: 15px;
}

#Gain-Ruby {
    font-size: 13px;
}

#Ruby-Upgrades {
    display: flex;
    height: 70px;
    justify-content: space-evenly;
    margin-top: -17px;
}

#Ruby-up1 {
    width: 95px;
    height: auto;
    font-size: 11px;
    padding-top: 9px;
    text-align: center;
    background-color: rgb(44, 44, 44);
    border: 2px solid black;
    border-radius: 5px;
}

#Ruby-up2 {
    width: 95px;
    height: auto;
    font-size: 11px;
    padding-top: 2px;
    text-align: center;
    background-color: rgb(44, 44, 44);
    border: 2px solid black;
    border-radius: 5px;
}

#Ruby-img {
    width: 110px;
    height: 90px;
    margin-top: -5px;
    margin-inline: auto;
}

#Ruby-img:hover {
    animation: Ruby-animation;
    animation-duration: 0.2s;
    animation-fill-mode: forwards;
    cursor: pointer;
}

@keyframes Ruby-animation {
    0% {
        scale: 1;
    }
    100% {
        scale: 1.2;
    }
}

#Emeralds-content {
    width: 200px;
    height: 175px;
    background-color: rgb(19, 191, 19);
    text-align: center;    
}

#Emerald {
    font-size: 15px;
}

#Gain-Emerald {
    font-size: 13px;
}

#Emerald-Upgrades {
    display: flex;
    height: 70px;
    justify-content: space-evenly;
    margin-top: -17px;
}

#Emerald-up1 {
    width: 95px;
    height: auto;
    font-size: 11px;
    padding-top: 9px;
    text-align: center;
    background-color: rgb(44, 44, 44);
    border: 2px solid black;
    border-radius: 5px;
}

#Emerald-up2 {
    width: 95px;
    height: auto;
    font-size: 11px;
    padding-top: 2px;
    text-align: center;
    background-color: rgb(44, 44, 44);
    border: 2px solid black;
    border-radius: 5px;
}

#Emerald-img {
    width: 110px;
    height: 90px;
    margin-top: -5px;
    margin-inline: auto;
}

#Emerald-img:hover {
    animation: Emerald-animation;
    animation-duration: 0.2s;
    animation-fill-mode: forwards;
    cursor: pointer;
}

@keyframes Emerald-animation {
    0% {
        scale: 1;
    }
    100% {
        scale: 1.2;
    }
}

#Titanium-content {
    width: 200px;
    height: 175px;
    background-color: rgb(83, 83, 83);
    text-align: center;    
}

#Titanium {
    font-size: 15px;
}

#Gain-Titanium {
    font-size: 13px;
}

#Titanium-Upgrades {
    display: flex; 
    height: 70px;
    margin-top: 9px;
    justify-content: space-evenly;
}

#Titanium-up1 {
    width: 95px;
    height: auto;
    font-size: 11px;
    padding-top: 9px;
    text-align: center;
    background-color: rgb(44, 44, 44);
    border: 2px solid black;
    border-radius: 5px;
}

#Titanium-up2 {
    width: 95px;
    height: auto;
    font-size: 11px;
    padding-top: 2px;
    text-align: center;
    background-color: rgb(44, 44, 44);
    border: 2px solid black;
    border-radius: 5px;
}

#Titanium-img {
    width: 80px;
    height: 60px;
    margin-inline: auto;
}

#Titanium-img:hover {
    animation: Titanium-animation;
    animation-duration: 0.2s;
    animation-fill-mode: forwards;
    cursor: pointer;
}

@keyframes Titanium-animation {
    0% {
        scale: 1;
    }
    100% {
        scale: 1.2;
    }
}

.Crafting-content {
    width: auto;
    height: 600px;
    margin-top: 80px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
}

#Converting-content {
    width: 350px;
    height: 500px;
    background-color: rgb(50, 25, 5);
}

#Converting-name {
    text-align: center;
    font-size: 23px;
    color: white;
}

#Wood-to-Sticks {
    width: 340px;
    height: 70px;
    margin-left: 5px;
    margin-top: 23px;
    display: flex;
    background-color: rgba(100, 65, 0, 0.76);
}

#Sticks-input {
    width: 20px;
    height: 14px;
    margin-top: 4px;
}

#Wood-img2 {
    width: 50px;
    height: 60px;
    margin-top: 5px;
    margin-left: 10px;
}

#Wood-to-Sticks-arrow {
    width: 70px;
    height: 60px;
    margin-top: 10px;
    margin-left: 5px;
}

#Stick-img {
    width: 30px;
    height: 40px;
    margin-top: 20px;
}

#Converting-stuff {
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap;
    width: 160px;
    height: 60px;
    text-align: center;
    margin-inline: auto;
    margin-top: 10px;
}

#Convert-to-Sticks {
    color: white;
    font-size: 12px;
    text-align: right;
    width: 180px;
    height: 35px;
    background-color: grey;
    text-align: center;
}

#Convert-to-Sticks:hover {
    background-color: rgba(78, 78, 78, 0.675);
    cursor: pointer;
}

#Sticks {
    font-size: 10px;
    margin-inline: auto;
    margin-bottom: 5px;
    color: white;
}

.Smelting-items {
    visibility: hidden;
}

.show-Smelting-items {
    visibility: visible;
}

#Converting-boost {
    width: 100%;
    height: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    flex-direction: column;
    flex-wrap: wrap;
    margin-top: 0px;
    color: white;
}

#Turn-on-Cb {
    width: 150px;
    height: 30px;
    background-color: #494946;
    display: flex;
    justify-content: center;
    align-items: center;
}

#Turn-on-Cb:hover {
    background-color: #43413b;
    cursor: pointer;
}

#Stone-Converting-stuff {
    width: 140px;
    height: 70px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    margin-top: 10px;
}

#Stone-to-SmoothStone {
    width: 340px;
    height: 70px;
    margin-left: 5px;
    margin-top: 23px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    background-color: rgba(100, 65, 0, 0.76);
}

#TurnOnSmoothStoneConverting {
    color: white;
    padding-top: 5px;
    padding-left: 5px;
    padding-right: 5px;
    font-size: 12px;
    text-align: right;
    width: 25px;
    height: 20px;
    background-color: grey;
    text-align: center;
}

#TurnOnSmoothStoneConverting:hover {
    background-color: rgb(74, 74, 74);
    cursor: pointer;
}

#TurnOffSmoothStoneConverting {
    color: white;
    padding-top: 5px;
    padding-left: 5px;
    padding-right: 5px;
    font-size: 12px;
    text-align: right;
    width: 25px;
    height: 20px;
    background-color: grey;
    text-align: center;
}

#TurnOffSmoothStoneConverting:hover {
    background-color: rgb(74, 74, 74);
    cursor: pointer;
}

#SmoothStone-timer {
    color: white;
    font-size: 12px;
    margin-top: 5px;
}

#Convert-to-SmoothStone:hover {
    background-color: rgba(78, 78, 78, 0.675);
    cursor: pointer;
}

#SmoothStone {
    font-size: 12px;
    color: white;
    margin-inline: auto;
}

#Stone-to-SmoothStone-arrow {
    width: 70px;
    height: 60px;
    margin-top: 10px;
}

#Stone-img2 {
    width: 70px;
    height: 50px;
    margin-top: 10px;
}

#SmoothStone-img {
    width: 60px;
    height: 60px;
    margin-left: -10px;
}

#Iron-ore-to-Iron {
    width: 340px;
    height: 70px;
    margin-left: 5px;
    margin-top: 23px;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    background-color: rgba(100, 65, 0, 0.76);
}

#Iron-Converting-stuff {
    width: 150px;
    height: 70px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    margin-top: 10px;
}

#Iron-ore-img2 {
    width: 50px;
    height: 40px;
    margin-top: 15px;
}

#Iron-img2 {
    width: 80px;
    height: 80px;
    margin-top: 10px;
}

#Iron-ore-to-Iron-arrow {
    width: 70px;
    height: 60px;
    margin-top: 10px;
    margin-left: 10px;
}

#TurnOnIronConverting {
    color: white;
    padding-top: 5px;
    padding-left: 5px;
    padding-right: 5px;
    font-size: 12px;
    width: 25px;
    height: 20px;
    background-color: grey;
    text-align: center;
}

#TurnOnIronConverting:hover {
    background-color: rgb(74, 74, 74);
    cursor: pointer;
}

#Iron-timer {
    color: white;
    font-size: 12px;
    margin-top: 5px;
}

#TurnOffIronConverting {
    color: white;
    padding-top: 5px;
    padding-left: 5px;
    padding-right: 5px;
    font-size: 12px;
    width: 25px;
    height: 20px;
    background-color: grey;
    text-align: center;
}

#TurnOffIronConverting:hover {
    background-color: rgb(74, 74, 74);
    cursor: pointer;
}

#Iron2 {
    font-size: 12px;
    color: white;
}

#Gold-ore-to-Gold {
    width: 340px;
    height: 70px;
    margin-left: 5px;
    margin-top: 23px;
    background-color: rgba(100, 65, 0, 0.76);
    display: flex;
    justify-content: space-evenly;
}

#Gold-Converting-stuff {
    width: 130px;
    height: 80px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    margin-top: 5px;
}

#Gold-ore-img2 {
    width: 50px;
    height: 40px;
    margin-top: 20px;
}

#Gold-ore-to-Gold-arrow {
    width: 70px;
    height: 60px;
    margin-top: 10px;
    padding-left: 10px;
}

#Gold-img2 {
    width: 80px;
    height: 80px;
    margin-top: 2px;
}

#TurnOnGoldConverting {
    color: white;
    padding-top: 5px;
    padding-left: 5px;
    padding-right: 5px;
    font-size: 12px;
    width: 25px;
    height: 20px;
    background-color: grey;
    text-align: center;
}

#TurnOnGoldConverting:hover {
    background-color: rgb(74, 74, 74);
    cursor: pointer;
}

#Gold-timer {
    color: white;
    font-size: 12px;
    margin-top: 5px;
}

#TurnOffGoldConverting {
    color: white;
    padding-top: 5px;
    padding-left: 5px;
    padding-right: 5px;
    font-size: 12px;
    width: 25px;
    height: 20px;
    background-color: grey;
    text-align: center;
}

#TurnOffGoldConverting:hover {
    background-color: rgb(74, 74, 74);
    cursor: pointer;
}

#Gold2 {
    font-size: 12px;
    color: white;
}

#Craft-content {
    width: 410px;
    height: 500px;
    background-color: ivory;
}

#Crafting-name {
    font-size: 25px;
    text-align: center;
}

#Craft-Upgrades {
    display: flex;
    flex-wrap: wrap;
    row-gap: 10px;
    justify-content: space-evenly;
    width: auto;
    height: auto;
    margin-top: 10px;
}

.Locked-CraftUp {
    width: 100%;
    height: 100%;
    z-index: 1;
    background-color: black;
    color: white;
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    visibility: visible;
} 

#Craft1 {
    width: 150px;
    height: 75px;
    font-size: 12px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    text-align: center;
    background-color: #787366;
    position: relative;
}

#Craft1:hover {
    background-color: rgb(61, 61, 61);
    cursor: pointer;
}

#Craft2 {
    width: 150px;
    height: 75px;
    font-size: 12px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    text-align: center;
    background-color: #787366;
    position: relative;
}

#Craft2:hover {
    background-color: rgb(61, 61, 61);
    cursor: pointer;
}

#Craft3 {
    width: 150px;
    height: 75px;
    font-size: 12px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    text-align: center;
    background-color: #4f4e4a;
    position: relative;
}

#Craft3:hover {
    background-color: rgb(54, 51, 51);
    cursor: pointer;
}

#Craft4 {
    width: 150px;
    height: 75px;
    font-size: 12px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    text-align: center;
    background-color: #b0afaa;
    position: relative;
}

#Craft4:hover {
    background-color: rgb(108, 104, 104);
    cursor: pointer;
}

#Craft5 {
    width: 150px;
    height: 75px;
    font-size: 12px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    text-align: center;
    background-color: #b0afaa;
    position: relative;
}

#Craft5:hover {
    background-color: rgb(108, 104, 104);
    cursor: pointer;
}

#Craft6 {
    width: 150px;
    height: 75px;
    font-size: 12px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    text-align: center;
    background-color: #04aed8;
    position: relative;
}

#Craft6:hover {
    background-color: rgb(3, 119, 158);
    cursor: pointer;
}

#Craft7 {
    width: 380px;
    height: 90px;
    font-size: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    text-align: center;
    background-image: linear-gradient(90deg, rgb(107, 101, 101), rgba(113, 48, 5, 0.816));
    position: relative;
}

#Craft7:hover {
    background-color: rgb(83, 79, 79);
    cursor: pointer;
}

#Craft8 {
    width: 380px;
    height: 90px;
    font-size: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    text-align: center;
    background-image: linear-gradient(90deg, rgb(198, 4, 4), rgb(81, 77, 77));
    position: relative;
}

#Craft8:hover {
    background-color: rgb(3, 119, 158);
    cursor: pointer;
}

.Expirience-name {
    position: absolute;
    top: 0;
    left: 0;
    margin-left: 270px;
    margin-top: 10px;
    font-size: 20px;
    width: 150px;
    height: auto;
    color: limegreen;
    visibility: hidden;
}

.show-Experience-name {
    visibility: visible;
}

.Gain-Exp {
    width: 200px;
    height: 50px;
    padding-top: 10px;
    position: absolute;
    border-radius: 10px;
    border: 2px solid lime;
    text-align: center;
    top: 0;
    left: 0;
    margin-left: 220px;
    margin-top: 50px;
    background-color: darkgreen;
    visibility: hidden;
}

.show-Gain-Exp {
    visibility: visible;
}

#Gain-Exp:hover {
    background-color: rgb(0, 142, 0);
    cursor: pointer;
}

.Craft-knowledge {
    width: 300px;
    height: 500px;
    background-color: rgb(212, 60, 5);
    text-align: center;
    visibility: hidden;
}

.show-Craft-knowledge {
    visibility: visible;
}

#Crafting-knowledge {
    color: white;
    font-size: 16px;
}

#Craftingk-persec {
    color: rgb(255, 174, 0);
    font-size: 15px;
}

.Crafting-knowledge-upgrades {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    row-gap: 32px;
    margin-top: 5px;
}

#Materials-to-Craftingk {
    width: 290px;
    font-size: 12px;
    color: white;
    background-color: #787366;
}

#Materials-to-Craftingk:hover {
    background-color: #43413b;
    cursor: pointer;
}

#Craftk-up1 {
    width: 290px;
    height: 55px;
    padding-top: 10px;
    color: white;
    background-color: #787366;
    font-size: 12px;
}

#Craftk-up1:hover {
    background-color: #43413b;
    cursor: pointer;
}

#Craftk-up2 {
    width: 290px;
    height: 95px;
    padding-top: 7px;
    color: white;
    background-color: #787366;
    font-size: 12px;
}

#Craftk-up2:hover {
    background-color: #43413b;
    cursor: pointer;
}

#Craftk-up3 {
    width: 290px;
    height: 80px;
    padding-top: 7px;
    color: white;
    background-color: #787366;
    font-size: 12px;
}

#Craftk-up3:hover {
    background-color: #43413b;
    cursor: pointer;
}

#Note {
    color: white;
    font-size: 13px;
}

.Experience-tabs {
    width: 100%;
    height: 50px;
    padding-top: 10px;
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    margin-top: 70px;
    justify-content: center;
}

#Ranking-tab {
    width: 150px;
    height: 23px;
    padding-top: 5px;
    background-color: rgb(85, 84, 84);
    border: 1.5px solid white;
    text-align: center;
}

#Ranking-tab:hover {
    background-color: #494946;
    cursor: pointer;
}

.Ranking-content {
    width: 400px;
    height: auto;
    display: flex;
    justify-content: none;
    flex-wrap: wrap;
    margin-inline: auto;
}

#Class {
    color: aquamarine;
    font-size: 23px;
    text-align: center;
}

#Class-benefits {
    color: rgb(0, 153, 208);
    font-size: 18px;
    text-align: center;
}

#Class-Upgrade {
    width: 400px;
    height: auto;
    padding-top: 10px;
    padding-bottom: 10px;
    color: rgb(0, 188, 0);
    background-color: rgb(62, 61, 61);
    border: 1px solid black;
    text-align: center;
}

.Progression-Milestones-content {
    width: auto;
    height: auto;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
}

#Progression-milestone-tab {
    width: 220px;
    height: 23px;
    padding-top: 5px;
    background-color: maroon;
    border: 1px solid red;
    color: white;
    text-align: center;
}

#Progression-milestone-tab:hover {
    background-color: rgb(169, 0, 0);
    cursor: pointer;
}

#Milestone1 {
    width: 300px;
    height: 95px;
    font-size: 12px;
    padding-top: 10px;
    background-color: rgb(5, 167, 167);
    border: 1px solid rgb(0, 106, 255);
    text-align: center;
}

#Milestone2 {
    width: 300px;
    height: 95px;
    font-size: 12px;
    padding-top: 10px;
    background-color: rgb(5, 167, 167);
    border: 1px solid rgb(0, 106, 255);
    text-align: center;
}

#Milestone3 {
    width: 300px;
    height: 90px;
    padding-top: 15px;
    font-size: 12px;
    background-color: rgb(5, 167, 167);
    border: 1px solid rgb(0, 106, 255);
    text-align: center;
}

#Exploration-tab {
    width: 150px;
    height: 23px;
    padding-top: 5px;
    text-align: center;
    color: white;
    background-image: linear-gradient(90deg, rgb(0, 72, 255), black);
    border: 1px solid white;
}

#Exploration-tab:hover {
    cursor: pointer;
    animation-name: Exploration-tab-animation;
    animation-duration: 0.5s;
    animation-iteration-count: infinite;
}

#Save-stuff {
    width: 400px;
    height: auto;
    margin-top: 100px;
    margin-left: 30px;
    text-align: center;
}

#Save-text {
    font-size: 20px;
    color: white;
}

#Saving {
    display: flex;
    justify-content: center;
    align-items: center;
    column-gap: 10px;
    margin-top: 15px;
}

#Save {
    width: 150px;
    height: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: white;
    border: 2px solid grey;
}

#Save:hover {
    background-color: #494946;
    cursor: pointer;
}

#Hard-reset {
    width: 150px;
    height: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgb(203, 0, 0);
    border: 2px solid maroon;
}

#Hard-reset:hover {
    background-color: rgb(164, 0, 0);
    cursor: pointer;
}

@keyframes Exploration-tab-animation {
    0% {
        background-image: linear-gradient(90deg, rgb(0, 72, 255), black);
    }
    25% {
        background-iamge: linear-gradient(90deg, rgb(3, 63, 216), rgb(11, 11, 11));
    }
    50% {
        background-image: linear-gradient(90deg, rgb(2, 56, 192), rgb(30, 30, 30));
    }
    75% {
        background-image: linear-gradient(90deg, rgb(0, 46, 164), rgb(65, 65, 65));
    }
    100% {
        background-image: linear-gradient(90deg, black, rgb(0, 72, 255));
    }
}

#Enemy {
    width: 300px;
    height: 200px;
    background-color: rgb(39, 39, 39);
    border: 1px solid white;
    position: absolute;
    top: 0;
    left: 0;
    margin-left: 300px;
    margin-top: 270px;
}

#Enemy-hp {
    width: 150px;
    height: 20px;
    padding-top: 3px;
    color: white;
    background-color: rgb(215, 2, 2);
    border: 1px solid maroon;
    text-align: center;
    position: absolute;
    top: 0;
    left: 0;
    margin-left: 75px;
    margin-top: 10px;
}

#Enemy-atk {
    width: 100px;
    height: 20px;
    padding-top: 3px;
    color: white;
    background-color: rgb(2, 2, 2);
    border: 1px solid white;
    text-align: center;
    position: absolute;
    bottom: 0;
    left: 0;
    margin-left: 5px;
    margin-bottom: 5px;
}

#Enemy-atks {
    width: 100px;
    height: 20px;
    padding-top: 3px;
    color: white;
    background-color: rgb(2, 2, 2);
    border: 1px solid white;
    text-align: center;
    position: absolute;
    bottom: 0;
    right: 0;
    margin-right: 5px;
    margin-bottom: 5px;
}

#Start-the-lore {
    width: 50px;
    height: 36px;
    border-radius: 50%;
    padding-top: 14px;
    background-color: black;
    text-align: center;
    color: white;
    position: absolute;
    top: 0;
    left: 0;
    margin-top: 70px;
    margin-left: 125px;
}

#Start-the-lore:hover {
    background-color: rgb(52, 52, 52);
    cursor: pointer;
}

#Lore {
    width: 290px;
    height: 70px;
    padding-top: 50px;
    background-color: black;
    text-align: center;
    color: white;
    position: absolute;
    top: 0;
    left: 0;
    margin-top: 40px;
    margin-left: 5px;
    opacity: 0;
}

.Saved-msg {
    position: fixed;
    top: 5;
    left: 5;
    width: 150px;
    height: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgb(156, 101, 0);
    border: 2px solid rgb(160, 43, 0);
    visibility: collapse;
}

.show-Saved-msg {
    visibility: visible;
}

#ChangeLog {
    width: 400px;
    height: 300px;
    position: absolute;
    left: 0;
    right: 0;
    top: 200;
    margin-left: auto;
    margin-right: auto;
    display: flex;
    justify-content: center;
    flex-direction: row;
    text-align: center;
}

#Version {
    font-size: 18px;
    color: white;
}

@media only screen and (min-device-width: 1200px) and (max-width: 2560px) {
    #Stone,
    #Wood,
    #Iron,
    #Gold,
    #Diamond,
    #Ruby,
    #Emerald,
    #Titanium {
        font-size: 18px;
    }

    #Gain-Stone,
    #Gain-Wood,
    #Gain-Iron,
    #Gain-Gold,
    #Gain-Diamond,
    #Gain-Ruby,
    #Gain-Emerald,
    #Gain-Titanium {
        font-size: 15px;
    }
    #Stone-content,
    #Wood-content,
    #Iron-content,
    #Gold-content,
    #Diamond-content,
    #Ruby-content,
    #Emeralds-content,
    #Titanium-content {
        width: 250px;
        height: 210px;
    }

    #Stone-Upgrades,
    #Wood-Upgrades {
        width: auto;
        height: 100px;
        margin-top: 15px;
    }

    #Emerald-Upgrades,
    #Ruby-Upgrades {
        width: auto;
        height: 100px;
        margin-top: 2px;
    }

    #Iron-Upgrades,
    #Gold-Upgrades {
        width: auto;
        height: 100px;
        margin-top: 15px;
    }

    #Diamond-Upgrades {
        width: auto;
        height: 100px;
        margin-top: 1px;
    }

    #Titanium-Upgrades {
        width: auto;
        height: 100px;
        margin-top: 25px;
    }

    #Stone-up1,
    #Wood-up1,
    #Iron-up1,
    #Gold-up1,
    #Diamond-up1,
    #Ruby-up1,
    #Emerald-up1,
    #Titanium-up1 {
        width: 120px;
        height: 65px;
        padding-top: 15px;
    }

    #Stone-up2,
    #Gold-up2,
    #Diamond-up2,
    #Ruby-up2 {
        width: 120px;
        height: 65px;
        padding-top: 15px;
    }

    #Wood-up2,
    #Iron-up2,
    #Emerald-up2,
    #Titanium-up2 {
        width: 120px;
        height: 70px;
        padding-top: 10px;
    }

    #Stone-img,
    #Iron-img,
    #Gold-img {
        width: 90px;
        height: 70px;
        margin-inline: auto;
    }

    #Wood-img {
        width: 90px;
        height: 70px;
    }

    #Converting-content {
        width: 450px;
    }

    #Wood-to-Sticks {
        width: 440px;
    }

    #Stone-to-Smoothstone {
        width: 440px;
    }

    #Iron-ore-to-Iron {
        width: 440px;
    }

    #Gold-ore-to-Gold {
        width: 440px;
    }

    #Craft-content {
        width: 600px;
    }

    #Craft-upgrades {
        row-gap: 25px;
    }

    #Craft1,
    #Craft2,
    #Craft3,
    #Craft4,
    #Craft5,
    #Craft6 {
        width: 180px;
        height: 90px;
    }

    #Craft7,
    #Craft8 {
        width: 570px;
        height: 100px;
        font-size: 14px;
    }

    #Craft-knowledge {
        width: 450px;
    }

    #Materials-to-Craftingk,
    #Craftk-up1,
    #Craftk-up2,
    #Craftk-up3 {
        width: 420px;
        height: 70px;
        font-size: 14px;
    }

    #Materials-to-Craftingk {
        padding-top: 10px;
        height: 60px;
    }

    #Craftk-up1 {
        padding-top: 10px;
        height: 60px;
    }

    #Milestone1,
    #Milestone2,
    #Milestone3 {
        width: 400px;
        height: 110px;
        font-size: 14px;
    }

    #Milestone3 {
        height: 105px;
        padding-top: 15px;
    }

    #Crafting-knowledge {
        font-size: 20px;
    }

    #Craftingk-persec {
        font-size: 18px;
    }
}

@media only screen and (max-width: 500px) {
    #Crafting-power {
        font-size: 20px;
    }

    #Gain-cp {
        width: 150px;
        height: 20px;
        font-size: 15px;
        padding-left: 5px;
        padding-right: 5px;
    }

    #Materials-tab {
        width: 100px;
        height: 30px;
        font-size: 13px;
    }

    #Crafting-tab {
        width: 100px;
        height: 30px;
        font-size: 13px;
    }

    #Experience-tab {
        width: 100px;
        height: 30px;
        font-size: 13px;
    }
    
    .Materials-content {
        row-gap: 10px;
    }

    #Stone-content,
    #Wood-content,
    #Iron-content,
    #Gold-content,
    #Diamond-content,
    #Ruby-content,
    #Emeralds-content,
    #Titanium-content {
        width: 120px;
        height: 160px;
    }

    #Stone,
    #Wood,
    #Iron,
    #Gold,
    #Diamond,
    #Ruby,
    #Emerald,
    #Titanium {
        font-size: 12px;
    }

    #Gain-Stone,
    #Gain-Wood,
    #Gain-Iron,
    #Gain-Gold,
    #Gain-Diamond,
    #Gain-Ruby,
    #Gain-Emerald,
    #Gain-Titanium {
        font-size: 11px;
    }

    #Stone-upgrades,
    #Wood-upgrades,
    #Iron-upgrades,
    #Gold-upgrades,
    #Diamond-upgrades,
    #Ruby-upgrades,
    #Emerald-upgrades,
    #Titanium-upgrades {
        width: 115px;
        height: 60px;
    }

    #Stone-up1,
    #Wood-up1,
    #Iron-up1,
    #Gold-up1,
    #Diamond-up1,
    #Ruby-up1,
    #Emerald-up1,
    #Titanium-up1 {
        font-size: 8px;
        padding: 0;
    }

    #Stone-up1,
    #Wood-up1,
    #Iron-up1,
    #Gold-up1 {
        padding-top: 10px;
    }

    #Ruby-up1,
    #Emerald-up1 {
        padding-top: 5px;
    }

    #Stone-up2,
    #Wood-up2,
    #Iron-up2,
    #Gold-up2,
    #Diamond-up2,
    #Ruby-up2,
    #Emerald-up2,
    #Titanium-up2 {
        font-size: 8px;
        padding: 0;
    } 

    #Diamond-up2 {
        width: 105px;
    }

    #Titanium-up1,
    #Titanium-up2 {
        font-size: 7px;
    }

    #Titanium-up1 {
        padding-top: 7px;
    }

    #Converting-content {
        width: 350px;
        height: 300px;
        margin-top: -25px;
    }
}